# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'

    # Note that the session will be started ONLY if you read or write from it.
    session:
        handler_id: '%env(SESSION_HANDLER_DSN)%'
        cookie_lifetime: 86400
        cookie_secure: auto
        cookie_samesite: lax

    #esi: true
    #fragments: true

when@dev:
    framework:
        trusted_proxies: '127.0.0.0/8,10.0.0.0/8,172.16.0.0/12,192.168.0.0/16,REMOTE_ADDR'
        trusted_headers: ['x-forwarded-for', 'x-forwarded-host', 'x-forwarded-proto', 'x-forwarded-port', 'x-forwarded-prefix']

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
